Page MenuHomePhabricator

bot adds dead link template inside cs1|2 templates
Closed, ResolvedPublic

Description

Event Timeline

czar awarded a token.EditedSep 15 2019, 4:01 PM
czar added a subscriber: czar.

Missing context above, but this is the ticket for getting iabot to handle the recent CS1 change from |dead-url= to the new |url-access= |url-status= param, yes?

no. |url-access= has nothing to do with |dead-url=. Perhaps you mean |url-status=?

regardless, IABot converted this:

{{cite book|chapterurl=http://csis.org/files/media/csis/pubs/9005lessonsiraniraqii-chap08.pdf|publisher=[[Center for Strategic and International Studies]]|title=The Lessons of Modern War – Volume II: Iran–Iraq War|chapter=Phase Five: New Iranian Efforts at "Final Offensives", 1986–1887}}

to this:

{{cite book|chapterurl=http://csis.org/files/media/csis/pubs/9005lessonsiraniraqii-chap08.pdf|publisher={{Dead link|date=August 2019 |bot=InternetArchiveBot |fix-attempted=yes }}[[Center for Strategic and International Studies]]|title=The Lessons of Modern War – Volume II: Iran–Iraq War|chapter=Phase Five: New Iranian Efforts at "Final Offensives", 1986–1887}}

where it added {{Dead link|date=August 2019 |bot=InternetArchiveBot |fix-attempted=yes }} to |publisher=.

In two other templates in that article it added the dead link template to |title= and |journal=.

czar rescinded a token.Sep 16 2019, 1:04 AM
czar removed a subscriber: czar.
Harej added a subscriber: Harej.Apr 21 2020, 11:33 PM

@Cyberpower678, will the fix you submitted for this bug also fix the bug described in T236694?

Cyberpower678 closed this task as Resolved.Sep 1 2020, 1:40 PM